Updates an owned project. A request containing only remixAllowed and/or remixRoyaltyBps is accepted for draft or published source and legacy projects and affects only new remixes. Owners can set remixRoyaltyBps from 0 to 2500 (0% to 25%) or null to reset to the platform default. Other source edits must use the authoring endpoint. Legacy edits require draft status, except autoSwapsEnabled which can change after publish for HTML v2 projects. Setting status to live publishes a legacy project. Mixed requests must satisfy every field's restrictions.
Updates an owned project. A request containing only remixAllowed and/or remixRoyaltyBps is accepted for draft or published source and legacy projects and affects only new remixes. Owners can set remixRoyaltyBps from 0 to 2500 (0% to 25%) or null to reset to the platform default. Other source edits must use the authoring endpoint. Legacy edits require draft status, except autoSwapsEnabled which can change after publish for HTML v2 projects. Setting status to live publishes a legacy project. Mixed requests must satisfy every field's restrictions.
bearer In: header
application/json
TypeScript Definitions
Use the request body type in TypeScript.
application/json
curl -X PATCH "https://example.com/projects/string" \ -H "Content-Type: application/json" \ -d '{}'{ "usesExistingToken": true, "remixAllowed": true, "remixRoyaltyBps": 0, "parent": { "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8", "releaseId": "829d5913-a352-42a5-be6f-1526f30c0c85", "tokenId": "string", "name": "string" }, "remixCount": 0, "authoringKind": "legacy", "tokenId": "07dfef4c-e677-4ce6-87a3-cd348338445f", "preparedReleaseId": "string", "publishedReleaseId": "string", "frontendUrl": "string", "methods": [ "string" ], "name": "string", "data": {}, "htmlGameOpsEnabled": true, "autoSwapsEnabled": true, "images": [ { "name": "string", "path": "string" } ], "appTemplate": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "url": "http://example.com", "schema": {}, "images": [ { "name": "string", "maxSize": 0 } ], "files": [ { "name": "string", "maxSize": 0 } ], "isEnabled": true, "previewImage": "string", "sortOrder": 0 }, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "files": [ { "name": "string", "path": "string" } ], "status": "live"}Whether new remixes are allowed. Owners can change this on draft or published projects; existing remixes are unaffected.
Percent of custom trading fees future remixes pay this project owner, in basis points. Affects only new remixes. Null resets to the platform default.
0 <= value <= 2500Project's data in the schema structure defined by the chosen app template..
Whether this HTML v2 project allows user-approved auto-swap sessions. This field can be updated after publish.
Project's status. Default is 'draft'. Once updated to 'live', the project cannot be updated anymore.
Value in